# spec file for package nodejs-nodejs-require-inject

%global npm_name require-inject
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:		nodejs-require-inject
Version:	1.2.0
Release:	4%{?dist}
Summary:	A simple mock injector needing no instrumentation in the libraries being tested
Url:		https://github.com/iarna/require-inject
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/kasicka/require-inject/12ac5bd3a1b13adeda81f5c4b17d41a86a9e99e3/LICENSE
#https://github.com/iarna/require-inject/pull/3
License:	ISC

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
A simple mock injector needing no instrumentation in the libraries being tested

%prep
%setup -q -n package

cp -p %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%files
%{nodejs_sitelib}/require-inject

%doc README.md
%license LICENSE

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 30 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.2.0-1
- Initial build
